Delete AML check profile
curl --request DELETE \
--url https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/ \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/")
.header("Authorization", "Basic <encoded-value>")
.asString();
using RestSharp;
var options = new RestClientOptions("https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Basic <encoded-value>");
var response = await client.DeleteAsync(request);
Console.WriteLine("{0}", response.Content);package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}val client = OkHttpClient()
val request = Request.Builder()
.url("https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/")
.delete(null)
.addHeader("Authorization", "Basic <encoded-value>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://ivs.idenfy.com/aml/monitorings/{id}/profiles/{profileId}/")!
var request = URLRequest(url: url)
request.httpMethod = "DELETE"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Basic <encoded-value>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))Delete AML check profile
DELETE
/
aml
/
monitorings
/
{id}
/
profiles
/
{profileId}
/
Delete AML check profile
Authorizations
The request must contain basic auth headers where username is API key and password is API secret.
In order for you to start using our API you will need an API key and API secret.
Both can be retrieved by contacting iDenfy's support or iDenfy's sales team.
Path Parameters
A UUID string identifying this AML monitoring.
resourceId from AML database search result.
Response
204
No response body
Was this page helpful?
⌘I